Argus API Argus Camera API

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Public Attributes
Argus::Size Struct Reference

Aggregates width and height in a single structure. More...

`#include <Types.h>`

List of all members.

## Public Member Functions

| Size ()
| Size (uint32_t w, uint32_t h)
| Construct size from width and height.
bool | operator== (const Size &a) const
Size | operator+ (const Size &b) const
Size | operator- (const Size &b) const

## Public Attributes

uint32_t | width
uint32_t | height

## Detailed Description

Aggregates width and height in a single structure.

Definition at line 500 of file Types.h.

## Constructor & Destructor Documentation

Argus::Size::Size | ( |  | ) |

inline

Definition at line 505 of file Types.h.

Argus::Size::Size | ( | uint32_t | w,
|  | uint32_t | h
| ) |  |

inline

Construct size from width and height.

Definition at line 508 of file Types.h.

## Member Function Documentation

Size Argus::Size::operator+ | ( | const Size & | b | ) | const

inline

Definition at line 515 of file Types.h.

Size Argus::Size::operator- | ( | const Size & | b | ) | const

inline

Definition at line 520 of file Types.h.

bool Argus::Size::operator== | ( | const Size & | a | ) | const

inline

Definition at line 510 of file Types.h.

## Member Data Documentation

uint32_t Argus::Size::height

Definition at line 503 of file Types.h.

uint32_t Argus::Size::width

Definition at line 502 of file Types.h.

The documentation for this struct was generated from the following file:

- include/Argus/Types.h